### Name: createWin
### Title: Create a GUI Window
### Aliases: createWin
### Keywords: utilities

### ** Examples

## Not run: 
##D # See file .../library/PBSmodelling/testWidgets/LissWin.txt
##D 
##D # Calculate and draw the Lissajous figure
##D drawLiss <- function() {
##D    getWinVal(scope="L"); ti=2*pi*(0:k)/k;
##D    x=sin(2*pi*m*ti);     y=sin(2*pi*(n*ti+phi));
##D    plot(x,y,type=ptype); invisible(NULL); };
##D createWin(system.file("testWidgets/LissWin.txt",package="PBSmodelling"));
## End(Not run)

############################################################
# Environment example:

#function in global
hello <- function()
{
        stop( "I shouldn't be called" )
}

newNameGreeter <- function( name )
{
        #method to display window
        greet <- function()
        {
                createWin( c( "button \"say hello\" func=hello" ), astext=TRUE, env = parent.env( environment() ) )
        }
        
        #hello method will refer to the name in this local scope
        hello <- function()
        {
                cat( "Hello", name, "\n" )
        }
        
        #return functions which the user can call directly
        return( list( greet = greet, hello = hello ) )
}

alex <- newNameGreeter( "Alex" )
jon <- newNameGreeter( "Jon" )

alex$hello() #prints hello Alex
jon$hello() #hello Jon

alex$greet() #creates a GUI with a button, which will print "hello Alex" when pushed




